import CircularProgress from '@mui/material/CircularProgress'
import { useUser } from '@/utils/useUser'
import Alert from '@mui/material/Alert'
import Button from '@mui/material/Button'
import { useRouter } from 'next/router'

export default function Home() {
  const { user, isLoading, errMsg } = useUser()
  const router = useRouter()

  if (isLoading) {
    return (
      <CircularProgress
        sx={{
          position: 'fixed',
          top: '30%',
          left: '50%',
          transform: 'translate(-50%, -50%)',
        }}
      />
    )
  }

  if (errMsg) {
    return <Alert severity="error">{errMsg}</Alert>
  }

  function logout() {
    localStorage.removeItem('accessToken')
    localStorage.removeItem('refreshToken')
    router.push('/login')
  }

  return (
    <>
      <Alert severity="success">hello {user!.email}</Alert>
      <Button onClick={logout}>注销</Button>
    </>
  )
}
